﻿Imports C1.Win.C1FlexGrid

Public Class Form1
    Dim cs As CellStyle
    Dim rowIndex As Integer

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'C1NWindDataSet.Customers' table. You can move, or remove it, as needed.
        Me.CustomersTableAdapter.Fill(Me.C1NWindDataSet.Customers)
        cs = C1FlexGrid1.Styles.Highlight
        cs.BackColor = Color.LightSeaGreen
    End Sub

    Private Sub C1FlexGrid1_MouseClick(sender As Object, e As System.Windows.Forms.MouseEventArgs) Handles C1FlexGrid1.MouseClick
        Dim cm As CurrencyManager = DirectCast(BindingContext(Me.C1FlexGrid1.DataSource), CurrencyManager)
        Dim dr As DataRowView = TryCast(cm.Current, DataRowView)
        rowIndex = dr.Row.Table.Rows.IndexOf(dr.Row)
    End Sub

    Private Sub C1FlexGrid1_AfterSort(sender As Object, e As C1.Win.C1FlexGrid.SortColEventArgs) Handles C1FlexGrid1.AfterSort
        If rowIndex > -1 Then
            For Each rw As C1.Win.C1FlexGrid.Row In C1FlexGrid1.Rows
                Dim cm As CurrencyManager = DirectCast(BindingContext(Me.C1FlexGrid1.DataSource), CurrencyManager)
                Dim dr As DataRowView = TryCast(rw.DataSource, DataRowView)
                If dr IsNot Nothing Then
                    Dim currIndex As Integer = dr.Row.Table.Rows.IndexOf(dr.Row)

                    If currIndex = rowIndex Then
                        Dim cr As CellRange = C1FlexGrid1.GetCellRange(rw.Index, 1)
                        ' to scroll the selected row in the visible area
                        C1FlexGrid1.[Select](cr, True)
                        cr = C1FlexGrid1.GetCellRange(rw.Index, 0, rw.Index, C1FlexGrid1.Cols.Count - 1)
                        C1FlexGrid1.[Select](cr, False)
                        Exit For
                    End If
                End If
            Next
        End If

    End Sub

End Class
